Subject: bug#61637: 30.0.50; Fix Eglot tests that need HOME=~USER

From: João Távora <[email-masked]>
Date: Sun, 19 Feb 2023 19:38:47 +0000

Hi Basil,

Both patches look generally good, though I haven't tested them,
so I'm trusting you did and they generally add robustness.

If that's the case, go ahead and push (to emacs-29, presumably
since this is fixing bugs in the test suite, but master isn't that
bad either).

The only nit I would point out is that there seems to be some
unrelated housekeeping already in the first patch that could
be moved to the second patch, or maybe a separate commit.

The yasnippet-related fix could also be its own commit.  But
again, that's only a minor nit.

Thanks,
João